# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSTranslatorIterator Class Reference

Iterates on CDL files To Complete definition of a specification
.

`#include <WOKBuilder_MSTranslatorIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_MSTranslatorIterator (const Handle(WOKBuilder_MSchema)&ams, const WOKBuilder_MSActionID &anaction)
| instantiates Iterator
Standard_EXPORT | WOKBuilder_MSTranslatorIterator (const Handle(WOKBuilder_MSchema)&ams)
| instantiates Iterator
Standard_EXPORT void | Reset ()
Standard_EXPORT const Handle_WOKBuilder_MSAction & | Value ()
| returns the current MSEntity to complete even if it is already in MS (to check its validity outside of Iterator
Standard_EXPORT const Handle_WOKBuilder_MSAction & | GetMSAction (const Handle(TCollection_HAsciiString)&aname, const WOKBuilder_MSActionType action)
Standard_EXPORT void | EquivActionStacked (const Handle(TCollection_HAsciiString)&aname, const WOKBuilder_MSActionType action)
Standard_EXPORT void | AddInStack (const Handle(TCollection_HAsciiString)&aname, const WOKBuilder_MSActionType action)
Standard_EXPORT Standard_Boolean | IsInStack (const Handle(TCollection_HAsciiString)&aname, const WOKBuilder_MSActionType action) const
Standard_EXPORT WOKBuilder_BuildStatus | Execute (const Handle(WOKBuilder_MSTranslator)&atranslator, const Handle(WOKBuilder_MSAction)&anaction, const Handle(WOKBuilder_Specification)&afile)
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Boolean | More () const

## Private Attributes

Handle_WOKBuilder_MSchema | myms
Handle_TCollection_HAsciiString | mytarget
WOKBuilder_QueueOfMSAction | myglobal
WOKBuilder_QueueOfMSAction | myinsttypes
WOKBuilder_QueueOfMSAction | mygentypes
WOKBuilder_QueueOfMSAction | mygetypes
WOKBuilder_QueueOfMSAction | mytypes
Handle_WOKBuilder_MSAction | mycurrent
WOKBuilder_DataMapOfMSActionIDOfMSAction | mystack

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSTranslatorIterator::WOKBuilder_MSTranslatorIterator | ( | const Handle(WOKBuilder_MSchema)& | ams,
|  | const WOKBuilder_MSActionID & | anaction
| ) |

Standard_EXPORT WOKBuilder_MSTranslatorIterator::WOKBuilder_MSTranslatorIterator | ( | const Handle(WOKBuilder_MSchema)& | ams | ) |

## Member Function Documentation

Standard_EXPORT void WOKBuilder_MSTranslatorIterator::AddInStack | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKBuilder_MSActionType | action
| ) |

Standard_EXPORT void WOKBuilder_MSTranslatorIterator::EquivActionStacked | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKBuilder_MSActionType | action
| ) |

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_MSTranslatorIterator::Execute | ( | const Handle(WOKBuilder_MSTranslator)& | atranslator,
|  | const Handle(WOKBuilder_MSAction)& | anaction,
|  | const Handle(WOKBuilder_Specification)& | afile
| ) |

Standard_EXPORT const Handle_WOKBuilder_MSAction& WOKBuilder_MSTranslatorIterator::GetMSAction | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKBuilder_MSActionType | action
| ) |

Standard_EXPORT Standard_Boolean WOKBuilder_MSTranslatorIterator::IsInStack | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKBuilder_MSActionType | action
| ) | const

Standard_EXPORT Standard_Boolean WOKBuilder_MSTranslatorIterator::More | ( |  | ) | const

Standard_EXPORT void WOKBuilder_MSTranslatorIterator::Next | ( |  | ) |

void WOKBuilder_MSTranslatorIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKBuilder_MSTranslatorIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKBuilder_MSTranslatorIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKBuilder_MSTranslatorIterator::Reset | ( |  | ) |

Standard_EXPORT const Handle_WOKBuilder_MSAction& WOKBuilder_MSTranslatorIterator::Value | ( |  | ) |

## Field Documentation

Handle_WOKBuilder_MSAction WOKBuilder_MSTranslatorIterator::mycurrent `[private]`

WOKBuilder_QueueOfMSAction WOKBuilder_MSTranslatorIterator::mygentypes `[private]`

WOKBuilder_QueueOfMSAction WOKBuilder_MSTranslatorIterator::mygetypes `[private]`

WOKBuilder_QueueOfMSAction WOKBuilder_MSTranslatorIterator::myglobal `[private]`

WOKBuilder_QueueOfMSAction WOKBuilder_MSTranslatorIterator::myinsttypes `[private]`

Handle_WOKBuilder_MSchema WOKBuilder_MSTranslatorIterator::myms `[private]`

WOKBuilder_DataMapOfMSActionIDOfMSAction WOKBuilder_MSTranslatorIterator::mystack `[private]`

Handle_TCollection_HAsciiString WOKBuilder_MSTranslatorIterator::mytarget `[private]`

WOKBuilder_QueueOfMSAction WOKBuilder_MSTranslatorIterator::mytypes `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_MSTranslatorIterator.hxx